@@ -3,3 +3,8 @@ include $(top_srcdir)/example/Makefile.inc
bin_PROGRAMS = odp_generator
odp_generator_SOURCES = odp_generator.c
+
+if test_example
+TESTS = generator_run.sh
+endif
+EXTRA_DIST = generator_run.sh
new file mode 100755
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# Copyright (c) 2018, Linaro Limited
+# All rights reserved.
+#
+# SPDX-License-Identifier: BSD-3-Clause
+#
+
+./odp_generator${EXEEXT} -w 1 -n 1 -I null:0 -m u
+STATUS=$?
+
+if [ "$STATUS" -ne 0 ]; then
+ echo "Error: status was: $STATUS, expected 0"
+ exit 1
+fi
+
+exit 0
@@ -19,8 +19,6 @@ AM_CONDITIONAL([PLATFORM_IS_LINUX_GENERIC],
AC_CONFIG_FILES([platform/linux-generic/Makefile
platform/linux-generic/libodp-linux.pc
platform/linux-generic/test/Makefile
- platform/linux-generic/test/example/Makefile
- platform/linux-generic/test/example/generator/Makefile
platform/linux-generic/test/validation/api/shmem/Makefile
platform/linux-generic/test/validation/api/pktio/Makefile
platform/linux-generic/test/mmap_vlan_ins/Makefile
@@ -3,10 +3,6 @@ TESTS_ENVIRONMENT += TEST_DIR=${top_builddir}/test/validation
SUBDIRS = performance
-if test_example
-SUBDIRS += example
-endif
-
if test_vald
TESTS = validation/api/pktio/pktio_run.sh \
validation/api/pktio/pktio_run_tap.sh \
deleted file mode 100644
@@ -1 +0,0 @@
-SUBDIRS = generator
deleted file mode 100644
@@ -1,4 +0,0 @@
-TESTS_ENVIRONMENT = EXAMPLE_DIR=${top_builddir}/example/generator
-
-TESTS = generator_run.sh
-EXTRA_DIST = generator_run.sh
deleted file mode 100755
@@ -1,45 +0,0 @@
-#!/bin/bash
-#
-# Copyright (c) 2018, Linaro Limited
-# All rights reserved.
-#
-# SPDX-License-Identifier: BSD-3-Clause
-#
-
-# directory where platform test sources are, including scripts
-TEST_SRC_DIR=$(dirname $0)
-
-# exit codes expected by automake for skipped tests
-TEST_SKIPPED=77
-
-# directories where binary can be found:
-# -in the validation dir when running make check (intree or out of tree)
-# -in the script directory, when running after 'make install', or
-# -in the validation when running standalone intree.
-# -in the current directory.
-# running stand alone out of tree requires setting PATH
-PATH="${EXAMPLE_DIR}/:$PATH"
-PATH="`pwd`/example/generator/:$PATH"
-PATH="$(dirname $0)/../../../../../example/generator:$PATH"
-PATH=".:$PATH"
-
-bin_path=$(which odp_generator${EXEEXT})
-if [ -x "$bin_path" ] ; then
- echo "running with odp_generator: $bin_path"
-else
- echo "cannot odp_generator: please set you PATH for it."
- pwd
- echo $PATH
- exit 1
-fi
-
-
-odp_generator${EXEEXT} -w 1 -n 1 -I null:0 -m u
-STATUS=$?
-
-if [ "$STATUS" -ne 0 ]; then
- echo "Error: status was: $STATUS, expected 0"
- exit 1
-fi
-
-exit 0